BizKitHub
DocsAPI ReferenceShipment/bff/shipment/handover/create
postShipmentAdmin BFF

/bff/shipment/handover/create

Lists every parcel of the carrier account that waits for pickup (state created, not on a protocol yet) on a new numbered protocol. Fails with a validation error when there is nothing to hand over.

ShipmentpostBffShipmentHandoverCreate

Parameters

JSON body

Request body

application/json
carrierConfigurationExternalIdstringRequired
shipmentExternalIdsstring[]Optional
markHandedOverbooleanRequired

Mark the listed parcels as handed over (orders move to shipped, customers get the e-mail).

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/shipment/handover/create

post
curl -X POST "https://api.bizkithub.com/bff/shipment/handover/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "carrierConfigurationExternalId": "example_carrierConfigurationExternalId",
  "shipmentExternalIds": [
    "string"
  ],
  "markHandedOver": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key